%define url_ver %(echo %{version}|cut -d. -f1,2)

Summary:        Modify and extend GNOME Shell functionality and behavior
Name:           gnome-shell-extensions
Version:        3.16.2
Release:        2

Group:          Graphical desktop/GNOME
License:        GPLv2+ and BSD
URL:            http://live.gnome.org/GnomeShell/Extensions
Source0:        http://ftp.gnome.org/pub/GNOME/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
Source1:        gnomerc-classic

BuildRequires:  desktop-file-utils
BuildRequires:  intltool
BuildRequires:  pkgconfig(gnome-desktop-3.0)
BuildRequires:  pkgconfig(libgtop-2.0)

Requires:       gnome-shell >= 3.15.90

BuildArch:      noarch

Obsoletes:	%{name}-systemMonitor < 3.15.91

%description
GNOME Shell Extensions is a collection of extensions providing additional and
optional functionality to GNOME Shell.

Enabled extensions:
  * alternate-tab
  * apps-menu
  * auto-move-windows
  * drive-menu
  * launch-new-instance
  * native-window-placement
  * places-menu
  * systemMonitor
  * user-theme
  * window-list
  * windowsNavigator
  * workspace-indicator
  * screenshot-window-sizer


#------------------------------------------------------------------------------

%package -n %{name}-common
Summary:        Files common to GNOME Shell Extensions
Group:          Graphical desktop/GNOME
License:        GPLv2+
Requires:       gnome-shell >= 3.12
# Dock extension no longer provides by GNOME Shell extensions >= 3.7.1
Obsoletes:      %{name}-dock < 3.7.1

%description -n %{name}-common
GNOME Shell Extensions is a collection of extensions providing additional and
optional functionality to GNOME Shell. Common files and directories needed by
extensions are provided here.

%files -n %{name}-common -f %{name}.lang
%doc COPYING NEWS README
%dir %{_datadir}/gnome-shell/extensions/

#------------------------------------------------------------------------------

%package -n gnome-classic-session
Summary:        GNOME "classic" mode session
Group:          Graphical desktop/GNOME
License:        GPLv2+
Requires:       %{name}-alternate-tab = %{version}-%{release}
Requires:       %{name}-apps-menu = %{version}-%{release}
#Requires:       %{name}-launch-new-instance = %{version}-%{release}
Requires:       %{name}-places-menu = %{version}-%{release}
Requires:       %{name}-window-list = %{version}-%{release}

Requires(post): desktop-common-data
Requires(postun): desktop-common-data

Provides:       gnome-panel = 3.6.2-7
Obsoletes:      gnome-panel < 3.6.2-7

%description -n gnome-classic-session
This package contains the required components for the GNOME Shell "classic"
mode, which aims to provide a GNOME 2-like user interface.

%files -n gnome-classic-session
%config(noreplace) %{_sysconfdir}/X11/wmsession.d/*
%config(noreplace) %{_sysconfdir}/gnome/gnomerc-classic
%{_datadir}/gnome-session/sessions/gnome-classic.session
%{_datadir}/gnome-shell/modes/classic.json
%{_datadir}/gnome-shell/theme/*.svg
%{_datadir}/gnome-shell/theme/gnome-classic.css
%{_datadir}/gnome-shell/theme/gnome-classic-high-contrast.css
%{_datadir}/glib-2.0/schemas/org.gnome.shell.extensions.classic-overrides.gschema.xml
%{_bindir}/startgnome_classic

%post -n gnome-classic-session
if [ -d /etc/X11/dm/Sessions ]; then
    /usr/sbin/chksession -g
fi
if [ -d /usr/share/apps/kdm/sessions ]; then
    /usr/sbin/chksession -K
fi

%postun -n gnome-classic-session
if [ -d /etc/X11/dm/Sessions ]; then
    /usr/sbin/chksession -g
fi
if [ -d /usr/share/apps/kdm/sessions ]; then
    /usr/sbin/chksession -K
fi

#------------------------------------------------------------------------------

%package -n %{name}-alternate-tab
Summary:        Classic Alt+Tab behavior for GNOME Shell
Group:          Graphical desktop/GNOME
License:        GPLv2+
Requires:       %{name}-common = %{version}-%{release}

%description -n %{name}-alternate-tab
This GNOME Shell extension changes Alt+Tab to be window-based instead of
app-based.

%files -n %{name}-alternate-tab
%{_datadir}/gnome-shell/extensions/alternate-tab*/

#------------------------------------------------------------------------------

%package -n %{name}-screenshot-window-sizer
Summary:        Screenshot window sizer for GNOME Shell
Group:          Graphical desktop/GNOME
License:        GPLv2+
Requires:       %{name}-common = %{version}-%{release}

%description -n %{name}-screenshot-window-sizer
This GNOME Shell extension allows to easily resize windows for GNOME Software
screenshots.

%files -n %{name}-screenshot-window-sizer
%{_datadir}/glib-2.0/schemas/org.gnome.shell.extensions.screenshot-window-sizer.gschema.xml
%{_datadir}/gnome-shell/extensions/screenshot-window-sizer*/

#------------------------------------------------------------------------------

%package -n %{name}-apps-menu
Summary:        Application menu for GNOME Shell
Group:          Graphical desktop/GNOME
License:        GPLv2+
Requires:       %{name}-common = %{version}-%{release}

%description  -n %{name}-apps-menu
This GNOME Shell extension adds a GNOME 2.x style menu for applications.

%files -n %{name}-apps-menu
%{_datadir}/gnome-shell/extensions/apps-menu*/

#------------------------------------------------------------------------------

%package -n %{name}-auto-move-windows
Summary:        Assign specific workspaces to applications in GNOME Shell
Group:          Graphical desktop/GNOME
License:        GPLv2+
Requires:       %{name}-common = %{version}-%{release}

%description -n %{name}-auto-move-windows
This GNOME Shell extension enables easy workspace management. A specific
workspace can be assigned to each application as soon as it creates a window,
in a manner configurable with a GSettings key.

%files -n %{name}-auto-move-windows
%{_datadir}/glib-2.0/schemas/org.gnome.shell.extensions.auto-move-windows.gschema.xml
%{_datadir}/gnome-shell/extensions/auto-move-windows*/

#------------------------------------------------------------------------------

%package -n %{name}-drive-menu
Summary:        Drive status menu for GNOME Shell
Group:          Graphical desktop/GNOME
License:        GPLv2+
Requires:       %{name}-common = %{version}-%{release}

%description -n %{name}-drive-menu
This GNOME Shell extension provides a panel status menu for accessing and
unmounting removable devices.

%files -n %{name}-drive-menu
%{_datadir}/gnome-shell/extensions/drive-menu*/

#------------------------------------------------------------------------------

%package -n %{name}-launch-new-instance
Summary:        Always launch a new application instance for GNOME Shell
Group:          Graphical desktop/GNOME
License:        GPLv2+
Requires:       %{name}-common = %{version}-%{release}

%description  -n %{name}-launch-new-instance
This GNOME Shell extension modifies the behavior of clicking in the dash and
app launcher to always launch a new application instance.


%files -n %{name}-launch-new-instance
%{_datadir}/gnome-shell/extensions/launch-new-instance*/

#------------------------------------------------------------------------------

%package -n %{name}-native-window-placement
Summary:        Native window placement for GNOME Shell
Group:          Graphical desktop/GNOME
License:        GPLv2+
Requires:       %{name}-common = %{version}-%{release}

%description  -n %{name}-native-window-placement
This GNOME Shell extension provides additional configurability for the window
layout in the overview, including a mechanism similar to KDE4.

%files -n %{name}-native-window-placement
%{_datadir}/glib-2.0/schemas/org.gnome.shell.extensions.native-window-placement.gschema.xml
%{_datadir}/gnome-shell/extensions/native-window-placement*/

#------------------------------------------------------------------------------

%package -n %{name}-places-menu
Summary:        Places status menu for GNOME Shell
Group:          Graphical desktop/GNOME
License:        GPLv2+
Requires:       %{name}-common = %{version}-%{release}

%description -n %{name}-places-menu
This GNOME Shell extension add a system status menu for quickly navigating
places in the system.

%files -n %{name}-places-menu
%{_datadir}/gnome-shell/extensions/places-menu*/

#------------------------------------------------------------------------------

%package -n %{name}-user-theme
Summary:        Support for custom themes in GNOME Shell
Group:          Graphical desktop/GNOME
License:        GPLv2+
Requires:       %{name}-common = %{version}-%{release}

%description -n %{name}-user-theme
This GNOME Shell extension enables loading a GNOME Shell theme from
~/.themes/<name>/gnome-shell/.

%files -n %{name}-user-theme
%{_datadir}/glib-2.0/schemas/org.gnome.shell.extensions.user-theme.gschema.xml
%{_datadir}/gnome-shell/extensions/user-theme*/

#------------------------------------------------------------------------------

%package -n %{name}-window-list
Summary:        Display a window list at the bottom of the screen in GNOME Shell
Group:          Graphical desktop/GNOME
License:        GPLv2+
Requires:       %{name}-common = %{version}-%{release}

%description -n %{name}-window-list
This GNOME Shell extension displays a window list at the bottom of the screen.


%files -n %{name}-window-list
%{_datadir}/gnome-shell/extensions/window-list*/
%{_datadir}/glib-2.0/schemas/org.gnome.shell.extensions.window-list.gschema.xml

#------------------------------------------------------------------------------

%package -n %{name}-windowsNavigator
Summary:        Support for keyboard selection of windows and workspaces in GNOME Shell
Group:          Graphical desktop/GNOME
License:        GPLv2+
Requires:       %{name}-common = %{version}-%{release}

%description -n %{name}-windowsNavigator
This GNOME Shell extension enables keyboard selection of windows and workspaces
in overlay mode, by pressing the Alt and Ctrl key respectively.


%files -n %{name}-windowsNavigator
%{_datadir}/gnome-shell/extensions/windowsNavigator*/

#------------------------------------------------------------------------------

%package -n %{name}-workspace-indicator
Summary:        Workspace indicator for GNOME Shell
Group:          Graphical desktop/GNOME
License:        GPLv2+
Requires:       %{name}-common = %{version}-%{release}

%description -n %{name}-workspace-indicator
This GNOME Shell extension add a system status menu for quickly changing
workspaces.

%files -n %{name}-workspace-indicator
%{_datadir}/gnome-shell/extensions/workspace-indicator*/

#------------------------------------------------------------------------------

%prep
%setup -q


%build
%configure2_5x  --enable-extensions="all"
%make


%install
%makeinstall_std

# Drop useless example extension
rm -r %{buildroot}%{_datadir}/gnome-shell/extensions/example*/
rm %{buildroot}%{_datadir}/glib-2.0/schemas/org.gnome.shell.extensions.example.gschema.xml

# helper script
mkdir -p %{buildroot}%{_bindir}
cat << EOF >%{buildroot}%{_bindir}/startgnome_classic
#!/bin/sh

if [ -x ~/.gnomerc ]; then
 exec ~/.gnomerc
else
 exec /etc/gnome/gnomerc-classic
fi
EOF
chmod 755 %{buildroot}%{_bindir}/startgnome_classic

# wmsession session file
mkdir -p %{buildroot}%{_sysconfdir}/X11/wmsession.d
cat << EOF > %{buildroot}%{_sysconfdir}/X11/wmsession.d/03GNOME_CLASSIC
NAME=GNOME Classic
ICON=gnome-logo-icon-transparent.png
DESC=GNOME 3 Classic Mode
EXEC=%{_bindir}/startgnome_classic
SCRIPT:
exec %{_bindir}/startgnome_classic
EOF

mkdir -p %{buildroot}%{_sysconfdir}/gnome
install -m755 %{SOURCE1} %{buildroot}%{_sysconfdir}/gnome/

rm -rf %{buildroot}%{_datadir}/xsessions/

%find_lang %{name}


%changelog

* Sat Jan 30 2016 Tigro <ashejn@gmail.com> 3.16.2-2
- (b788f33) launch new instance extension does not work with dash-to-dock extension

* Fri Jul 03 2015 Tigro <ashejn@yandex-team.ru> 3.16.2-1
- (b655030) update to 3.16.2

* Wed Apr 15 2015 Tigro <ashejn@gmail.com> 3.16.1-1
- (116951d) update to 3.16.1

* Tue Mar 24 2015 Tigro <ashejn@gmail.com> 3.16.0-1
- (2047d71) update to 3.16.0

* Tue Mar 17 2015 Tigro <ashejn@gmail.com> 3.15.92-1
- (6f55b9f) update to 3.15.92

* Wed Mar 11 2015 Tigro <ashejn@yandex-team.ru> 3.15.91-1
- (2e8c808) fix group name
- (Tigro: 45fe46e) pack files
- (Tigro: 062b399) drop systemMonitor subpackage
- (Tigro: 8e0be4f) update to 3.15.91

* Wed Mar 04 2015 Tigro <ashejn@yandex-team.ru> 3.12.2-4
- (bb8f4d8) clean up spec
- (Tigro: 8022918) another scheme to run classic mode. Fixes duplicate decoration and missing icons in GNOME Control Center

* Wed Aug 13 2014 Tigro <ashejn@gmail.com> 3.12.2-3
- (8270238) define env to start classic mode

* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 3.12.2-2
- (e9f6127) MassBuild#440: Increase release tag

* Fri May 16 2014 Tigro <ashejn@gmail.com> 3.12.2-1
- (b7957ac) update to 3.12.2

* Mon May 12 2014 Tigro <ashejn@gmail.com> 3.12.0-1
- (8da498e) drop some packages
- (Tigro: ce8550b) update to 3.12.0

* Mon Feb 03 2014 Aleksey Yermakov <alexey.yermakov@rosalab.ru> 3.8.4-4
- (f796ca1) Added patch for window list panel to appear on lowest monitor.

* Mon Nov 04 2013 Tigro <ashejn@gmail.com> 3.8.4-3
- (0134cb7) another rule
- (Tigro: 3be49e8) run session generation really and for gnome-classic-session package

* Sun Nov 03 2013 Tigro <ashejn@gmail.com> 3.8.4-2
- (13a355e) added post script
- (Tigro: b1990d3) drop xsessions directory

* Fri Sep 13 2013 Tigro <ashejn@gmail.com> 3.8.4-1
- (93b68ee) update to 3.8.4

* Mon Jul 22 2013 Alexander Kazancev <kazancas@gmail.com> 3.8.3.1-2
- (f551933) Add %{_bindir}/startgnome_classic
- (Alexander Kazancev: e74ee1c) fix spec
- (akdengi: 1534468) drop /usr/bin/startgnome_classic
- (akdengi: 0b8f51c) add /etc/X11/wmsession.d/03GNOME_CLASSIC

* Thu Jun 20 2013 root <root@localhost.localdomain> 3.8.3.1-1
- (9093769) sync to gnome38 branch

* Fri Dec 07 2012 Tigro <ashejn@gmail.com> 3.6.1-1
- (c6df33f) pack some files
- (Tigro: 712b743) update to 3.6.1

* Tue Aug 07 2012 Rosa <rosa@rosa-build.rosalab.ru> 3.2.0-2
- (05c373c) Automatic import for version 3.2.0-2


